use crate::botv2::{
    cmd::meme::{answer::answer, enable::enable, list::list},
    init::{Context, Error},
};
use tracing::instrument;

/// Handle meme command
#[instrument(skip(ctx), level = "info", fields(channel = ctx.channel_id().get(), guild = ?ctx.guild_id().unwrap().get()))]
#[poise::command(
    slash_command,
    prefix_command,
    category = "mem",
    subcommands("answer", "enable", "list"),
    guild_only = true
)]
pub async fn meme(ctx: Context<'_>) -> Result<(), Error> {
    Ok(())
}
